body {
    background-color: #808080;
}

input[type="file"] {
    display: none;
}

#fileinput {
    position: absolute;
    top: 25%;
    left: 25%;
    width: 50%;
    border: 3px solid black;
    background-color: white;
    font-size: 48pt;
    text-align: center;
    padding: 10% 0;
    cursor: pointer;
}

#originalImage {
    z-index: 1;
    width: 50%;
}

#modifiedImage {
    z-index: 2;
    width: 50%;
}

.animate {
    animation: invertColors 2s 3s 1 forwards,
               applyTransparency 2s 6s 1 forwards,
               moveLeft 2s 9s 1 forwards ease-out;
}

@keyframes invertColors {
    from { filter: invert(0); }
    to { filter: invert(1); }
}

@keyframes applyTransparency {
    from { opacity: 1; }
    to { opacity: 0.5; }
}

@keyframes moveLeft {
    from { transform: translateX(0%); }
    to { transform: translateX(-100%); }
}

.invisible {
    display: none;
}
